<?php

if(core::getPost("id") == "add"){
    
    db::query("INSERT INTO " . DB_T_EVENTS . " (md5, titre, description, startDate, endDate, type_emargement, type_inscription, actif, id_user) VALUES (:md5, :titre, :description, :startDate, :endDate, :type_emargement, :type_inscription, :actif, :id_user)");

    db::bind(':md5', md5(time().rand(1000000000, 9999999999)));
    db::bind(':titre', core::getPost("titre"));
    db::bind(':description', core::getPost("description"));
    db::bind(':startDate', core::getPost("startDate"));
    db::bind(':endDate', core::getPost("endDate"));
    db::bind(':type_emargement', core::getPost("type_emargement"));
    db::bind(':type_inscription', core::getPost("type_inscription"));
    db::bind(':actif', core::getPost("actif"));
    db::bind(':id_user', session::getId());
    
    
    try {
            db::execute();
            alert::recSuccess("L'évènement a bien été créé");
        } catch (Exception $ex) {
            alert::recError("Erreur lors de l'enregistrement de l'évènement");
            header("Location: /add-evenement.html");
            exit();
        }
    
    header("Location: /evenement-" . event::lastEvenement().".html");
    exit();
    
} else {
    
        db::query("UPDATE " . DB_T_EVENTS . " SET "
                . "titre = :titre, "
                . "description = :description, "
                . "startDate = :startDate, "
                . "endDate = :endDate, "
                . "type_emargement = :type_emargement, "
                . "type_inscription = :type_inscription, "
                . "actif = :actif, "
                . "id_user = :id_user "
                . "WHERE id = :id");
        
        db::bind(':titre', core::getPost("titre"));
        db::bind(':description', core::getPost("description"));
        db::bind(':startDate', core::getPost("startDate"));
        db::bind(':endDate', core::getPost("endDate"));
        db::bind(':type_emargement', core::getPost("type_emargement"));
        db::bind(':type_inscription', core::getPost("type_inscription"));
        db::bind(':actif', core::getPost("actif"));
        db::bind(':id_user', session::getId());
        db::bind(':id', core::getPost("id"));
        
        try {
            db::execute();
            alert::recSuccess("L'évènement a bien été modifié");
        } catch (Exception $ex) {
            alert::recError("Erreur lors de la modification de l'évènement");
            header("Location: /evenement-" . core::getPost("id").".html");
            exit();
        }

        header("Location: /evenement-" . core::getPost("id").".html");
        exit();
    }
